Subject: Re: bug#8646: byte-compile-initial-macro-environment confuses byte-compile-arglist-warn

From: Stefan Monnier <[email-masked]>
Date: Wed, 11 May 2011 10:54:02 -0300

> Here's a patch that I think might be right in general, but still leaves
> a warning in this specific case:

The patch looks right, thanks.  The "2+" vs "2-4" can be fixed by
changing either the macro definition of its override so that their
arglist matches.

> Actually, I guess this patch is not fully correct, because something
> that is in byte-compile-initial-macro-environment could be redefined
> more than once, in theory. But it's better than the current version. (?)

The intention of byte-compile-initial-macro-environment is to override
"the" actual macro definition.  Obviously, this presumes that the macro is
not redefined elsewhere in a different way, otherwise the intended
behavior is not defined.

        Stefan